Summary:	TCP port reservation utility
Name:		portreserve
Version:	0.0.5
Release:	%mkrel 15
License:	GPLv2
Group:		System/Base
URL:		http://cyberelk.net/tim/portreserve/
Source0:	http://cyberelk.net/tim/data/portreserve/stable/%{name}-%{version}.tar.bz2
Source1:	portreserve.service
Patch1:		portreserve-pid-file.patch
BuildRequires:	xmlto
BuildRequires:	docbook-style-xsl

%description
The portreserve program aims to help services with well-known ports that lie in
the portmap range.  It prevents portmap from a real service's port by occupying
it itself, until the real service tells it to release the port (generally in
the init script).

%prep
%setup -q
%patch1 -p1 -b .pid-file

%build
%configure \
    --sbindir=/sbin
# Man pages get generated twice and sometimes fail so disable parallel build
%define _smp_ncpus_max 1
%make_build

%install
%make_install
mkdir -p %{buildroot}%{_localstatedir}/run/portreserve
mkdir -p %{buildroot}%{_unitdir}
install -m644 %{SOURCE1} %{buildroot}%{_unitdir}/portreserve.service
mkdir -p %{buildroot}%{_sysconfdir}/portreserve
mkdir -p %{buildroot}%{_tmpfilesdir}
cat <<EOF > %{buildroot}%{_tmpfilesdir}/portreserve.conf
d %{_rundir}/portreserve 0755 root root 10d
EOF

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc AUTHORS COPYING ChangeLog NEWS README
%dir %ghost %{_localstatedir}/run/%{name}
%dir %{_sysconfdir}/%{name}
%config %{_tmpfilesdir}/portreserve.conf
%{_unitdir}/%{name}.service
/sbin/*
%{_mandir}/man1/*


%changelog
* Sat Feb 22 2020 pterjan <pterjan> 0.0.5-15.mga8
+ Revision: 1549369
- Disable parallel build

* Fri Feb 14 2020 umeabot <umeabot> 0.0.5-14.mga8
+ Revision: 1523017
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Feb 15 2019 wally <wally> 0.0.5-13.mga7
+ Revision: 1367211
- update systemd tmpfiles.d drop-in file to use /run instead of /var/run
- make systemd to save PID file to /run instead of /var/run

* Sat Oct 06 2018 umeabot <umeabot> 0.0.5-12.mga7
+ Revision: 1318225
- Mageia 7 Mass Rebuild
+ guillomovitch <guillomovitch>
- switch to systemd, and sync with fedora
+ kekepower <kekepower>
- Use new make macros

* Mon Feb 08 2016 umeabot <umeabot> 0.0.5-9.mga6
+ Revision: 947199
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.0.5-8.mga5
+ Revision: 751169
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.0.5-6.mga4
+ Revision: 517646
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.0.5-5.mga3
+ Revision: 378092
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 24 2012 colin <colin> 0.0.5-4.mga3
+ Revision: 274001
- Rebuild with new spec-helper for non-relative symlnks to /dev/null

* Sat Apr 28 2012 tmb <tmb> 0.0.5-3.mga2
+ Revision: 233839
- Require rpm-helper >= 0.24.8-1 for systemd support

* Tue Feb 14 2012 colin <colin> 0.0.5-2.mga2
+ Revision: 208649
- Correction: Require docbook-style-xsl...
- Require docbook5-style-xsl during build (no net access on cluster)
- Disable under systemd as it breaks cups. krb5-server may need looked at.

* Fri Sep 09 2011 tv <tv> 0.0.5-1.mga2
+ Revision: 141623
- add missing LSB keywords
- s/mdv/mga/
- new release

* Mon Jan 17 2011 rtp <rtp> 0.0.4-4.mga1
+ Revision: 21363
- imported package portreserve

